#include "player.h"
#include "settings.h"
#include "math.h"


//////// Player ////////

void Player::setBanner(char * bbanner)
{
	MEMCPY(bbanner, banner, 96);
}

Player::Player(Uint16 iident, char * nname, char * ssquad, Uint32 fflagPoints, Uint32 kkillPoints, Uint16 tteam, Uint16 wwins, Uint16 llosses, BYTE sship)
{
	memset(name, 0, 20);
	MEMCPY(nname, name, limit(strlen(nname), 19));

	memset(squad, 0, 20);
	MEMCPY(ssquad, squad, limit(strlen(ssquad), 19));

	memset(banner, 0, 96);

	access = OP_Player;

	ident = iident;
	ship = sship;
	team = tteam;
	flagPoints = fflagPoints;
	killPoints = kkillPoints;
	wins = wwins;
	losses = llosses;

	koth = false;
	d = 0;
	bounty = 0;
	energy = 0;
	timer = 0;
	S2CLag = 0;

	x = 0;
	y = 0;
	xvel = 0;
	yvel = 0;

	stealth = false;
	cloak = false;
	xradar = false;
	awarp = false;
	ufo = false;

	shields = false;
	super = false;
	burst = 0;
	repel = 0;
	thor = 0;
	brick = 0;
	decoy = 0;
	rocket = 0;
	portal = 0;
}
